if test -n "$PS1"; then
  # on lance un git status sur l'utilisateur s'il est dans le groupe admin
  # ou bien si c'est root
  if `id -Gn | grep -qw admin` || test `id -u` -eq 0; then
    test -x /usr/bin/git -a -d /.git && (cd / ; sudo /usr/bin/git status -a) |
    /bin/sed -e '1{/^# On branch /d};2{/^nothing to commit/d}'
    # deux variables indispensables à cause d'un bogue de git avec la racine
    # disons que les admins ne gèrent rien d'autre… au pire, .bash_profile !
    GIT_DIR=/.git
    GIT_WORK_TREE=/
    export GIT_DIR GIT_WORK_TREE
  fi
  # les lignes suivantes tentent de configurer les variables GIT_*
  # si les résultats ne sont pas bien "devinés", définir les bonnes
  # valeurs dans .bash_profile (ou .profile pour root)
  if test -z "$GIT_AUTHOR_NAME"; then
    GIT_AUTHOR_NAME="`getent passwd $(id -un)|cut -d: -f5|cut -d, -f1`"
  fi
  if test -z "$GIT_AUTHOR_EMAIL"; then
    GIT_AUTHOR_EMAIL="`id -un`@`cat /etc/mailname 2>/dev/null || hostname -f`"
  fi
  if test -z "$GIT_COMMITTER_NAME"; then
    GIT_COMMITTER_NAME="$GIT_AUTHOR_NAME"
  fi
  if test -z "$GIT_COMMITTER_EMAIL"; then
    GIT_COMMITTER_EMAIL="$GIT_AUTHOR_EMAIL"
  fi
  export GIT_AUTHOR_NAME GIT_AUTHOR_EMAIL GIT_COMMITTER_NAME GIT_COMMITTER_EMAIL
fi
